org.eclipse.wst.jsdt.chromium.debug.core.util

## Class JavaScriptRegExpSupport

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.JavaScriptRegExpSupport

    public class JavaScriptRegExpSupport
    extends java.lang.Object

Helper class that manipulates with JavaScript RegExp sources.

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptRegExpSupport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.regex.Pattern` `convertToJavaPattern(ScriptNameManipulator.ScriptNamePattern pattern)` From JavaScript RegExp source creates a Java Pattern.
`static java.lang.String` `encodeLiteral(java.lang.String literal)` Encodes all special characters to make a RegExp fragment for this string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaScriptRegExpSupport

    public JavaScriptRegExpSupport()

### Method Detail

#### encodeLiteral

    public static java.lang.String encodeLiteral(java.lang.String literal)

Encodes all special characters to make a RegExp fragment for this string.

#### convertToJavaPattern

    public static java.util.regex.Pattern convertToJavaPattern(ScriptNameManipulator.ScriptNamePattern pattern)

From JavaScript RegExp source creates a Java Pattern.